//  Xerver Free Web Server
//  Copyright (C) 2002-2007 Omid Rouhani
//
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//
//  #############################################################
//  ##  YOU CAN CONTACT THE AUTHOR (OMID ROUHANI) AT:          ##
//  ##  HTTP://WWW.JAVASCRIPT.NU/XERVER/                       ##
//  ##                                                         ##
//  ##  IF YOUR SOFTWARE IS NOT RELEASED UNDER THE             ##
//  ##  GNU GENERAL PUBLIC LICENSE (GPL),                      ##
//  ##  PLEASE DO NOT COPY ANYTHING FROM THIS SOURCE CODE!!!   ##
//  ##                                                         ##
//  ##  FOR FULL LICENSE, PLEASE READ "XERVER LICENSE".        ##
//  #############################################################



package common;
import webserver.*;
import ftp_server.*;
import java.util.*;


/**
 *
 * <B>About this class:</B>
 * <BR>
 * This is exactly like <CODE>GregorianCalendar</CODE>, but since setTimeInMillis was protected
 * before Java 1.4 a user using an old JVM calling setTimeInMillis will get an error
 * since setTimeInMillis is not public on his computer.
 * <BR>
 * We use this class so people using Java older than 1.4 shall not get error
 * when we call mySetTimeInMillis.
 *
 * @author <a href="http://www.JavaScript.nu/xerver/" TARGET="_top">Omid Rouhani</a>
 * @version 1.0
 */


final public class MyGregorianCalendar extends GregorianCalendar
{
	/**
	* Calls setTimeInMillis(time);
	*/
	public void mySetTimeInMillis(long time)
	{
		setTimeInMillis(time);
	}

	/**
	* Add all constructors I need here
	*/
	public MyGregorianCalendar()
	{
		super();
	}

	public MyGregorianCalendar(TimeZone tz)
	{
		super(tz);
	}

}